dofile( "data/scripts/lib/coroutines.lua" )
dofile( "data/scripts/lib/utilities.lua" )


local regenAmount = 0.025 -- How much health is generated at a time, 0.025 is about one health point
local regenInterval = 180 -- How fast is health regenerated, 2000 is once ever 2 seconds.

local player_entity = EntityGetWithTag("player_unit")[1]

local damagemodels = EntityGetComponent( player_entity, "DamageModelComponent" )
		
async_loop(function()
	if(EntityGetWithTag("player_unit")[1] ~= nil)then
		if( damagemodels ~= nil) then
			for i,damagemodel in ipairs(damagemodels) do
				local hp = tonumber( ComponentGetValue( damagemodel, "hp" ) )
				local max_hp = tonumber( ComponentGetValue( damagemodel, "max_hp" ) )
				if(hp > 0)then
					

					 
					if(hp < (max_hp / 2))then
						hp = hp + regenAmount
						ComponentSetValue( damagemodel, "hp", hp)
					end
				end
			end
		end
	end
    wait(regenInterval)
end)
